{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block body %}

    {% block moreCss %}
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            {{ data.name }}
        {% endblock %}

        {% block menuBar %}

            <i class="mdi mdi-history f14"></i>
        {% endblock %}

    {% endembed %}

    {#    Tagihan#}
    <section class="container-fluid mt-1" id="content">

        <div class="nav w-100 d-flex mt-3" id="nav-tab" role="tablist">
        </div>


        <div class="tab-content mt-3" id="nav-tabContent">
        </div>


    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('js/formatter.js') }}"></script>

    <script>

        function fetchData(data) {
            console.log("FETCH DATA", data);
            let link = '{{ path('pilihSoalTryout', {cat : 0}) }}';
            data.forEach(function (root, key) {

                    var nlink = link.replace("0", data['id']);
                    $("#nav-tab").append(' <a class="nav-item nav-link ' + (key === 0 ? 'active' : '') + ' text-center d-block tab-pils" style="padding: 0.2em 1em"\n' +
                        '               id="nav-home-tab"\n' +
                        '               data-toggle="tab" href="#' + root['name'].replaceAll(" ", "_") + ' " role="tab" aria-controls="sma"\n' +
                        '               aria-selected="true">' + root['name'] + '</a>'
                    );
                    let tryOutHtml = '';
                    root['tryOut'].forEach(function (data, key) {
                        let urlDo = "{{ path('kerjain_paket', {cat : 0, reg: "reg"}) }}";
                        let urlDetail = "{{ path('detailPaketSoal', {cat : 0}) }}";
                        urlDo = urlDo.replace("0", data['id']);
                        if(data['registrant'].length > 0){
                            urlDo = urlDo.replace("reg", data['registrant'][0]['id']);
                        }
                        urlDetail = urlDetail.replace("0", data['id']);
                        tryOutHtml += '\n' +
                            '                <div class="gen-card p-3">\n' +
                            '                    <p class="font-weight-bold mb-1">' + data['title'] + '</p>\n' +
                            '                    <p class="mb-1">' + (root['number'] != null ? root['number'] + ' Soal' : '') + '</p>\n' +
                            '                    <div class="d-flex align-items-center mb-1">\n' +
                            '                        <p class="mr-3 mb-0">200 XP</p>\n' +
                            '                        <img src="{{ asset('images/common/icons/coin.png') }}" style="height: 1em" class="mr-2"/>\n' +
                            '                        <p class="mb-0 t-black">200</p>\n' +
                            '                    </div>\n' +
                            '                    <p class="mb-1 t-black">' + (data['isFree'] ? 'Bebas Akses' : currency(data['price'])) + '</p>\n' +
                            '                    <hr>\n' +
                            (data['registrant'].length > 0 ?
                                    (data['registrant'][0]['isPaid'] ?
                                        '                    <div class="d-flex justify-content-between align-items-center">\n' +
                                        '                        <p class="mb-0 t-black">Belum Di Kerjakan</p>\n' +
                                        '                        <a class="bt-primary f10" href="' + urlDo + '"\n' +
                                        '                           style="padding: 0.3em 1em">Kerjakan Try Out</a>\n' +
                                        '                    </div>\n'
                                        : '                    <div class="d-flex justify-content-between align-items-center">\n' +
                                        '                        <a class="bt-primary f10 t-black" href="#"\n' +
                                        '                           style="padding: 0.3em 1em">Menunggu pembayaran / konfirmasi</a>\n' +
                                        '                    </div>\n')
                                    :
                                    '                    <div class="d-flex justify-content-between align-items-center">\n' +
                                    '                        <p class="mb-0 t-black">Belum Di Kerjakan</p>\n' +
                                    '                        <a href="' + urlDetail + '" class="bt-accent f10" style="padding: 0.3em 1em">Ikut Tryout</a>\n' +
                                    '                    </div>\n'
                            ) +
                            '                </div>\n' +
                            '</a>'
                        ;
                    });
                    $("#nav-tabContent").append(' <div class="tab-pane fade show ' + (key === 0 ? 'active' : '') + '" id="' + root['name'].replaceAll(" ", "_") + '" role="tabpanel"\n' +
                        '                 aria-labelledby="sma-tab">\n' +
                        tryOutHtml +
                        '            </div>'
                    )
                    ;
                }
            )
        }
    </script>

    {{ f.ajaxCall("fetchData", path("pilihTryoutOptionsApi", {cat : ref}), "GET") }}

{% endblock %}